/* $Id: seq.h,v 1.1 2001/09/25 21:10:06 aa5779 Exp $ */
#ifndef SEQ_H
#define SEQ_H

#include "dstring.h"
#include "interp.h"

#ifndef SEQ_IMP
extern storage_class seq_storage_class;
#endif

storage *seq_create(interpreter *i, char *name, char *arg);

void seq_destroy(interpreter *i, storage *s);

int seq_check(interpreter *i, storage *s, dstring *key);
dstring *seq_get(interpreter *i, storage *s, dstring *key);

void seq_put(interpreter *i, storage *s, dstring *key, dstring *val);
void seq_add(interpreter *i, storage *s, dstring *key, dstring *val);

void seq_remove(interpreter *i, storage *s, dstring *key);

dstring *seq_first(interpreter *i, storage *s, void **iter);
dstring *seq_next(interpreter *i, storage *s, void **iter);
void seq_enditer(interpreter *i, storage *s, void **iter);

int seq_numofitems(interpreter *i, storage *s);

#endif
